Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class TextLabel

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement
          info.bioinfweb.treegraph.document.Label
              info.bioinfweb.treegraph.document.TextLabel

All Implemented Interfaces:
  PaintableElement, TextElement, TreeElement, Cloneable

    public class TextLabel

extends Label
implements TextElement

Since:
  2.0.26
Author:
  Ben Stöver

Field Summary
`private TextElementData` | `data`
`private TextLabelFormats` | `formats`

Fields inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`positions`

Constructor Summary
`TextLabel(Labels labels)`

Method Summary
`void` | `assignTextElementData(TextElement other)`
`TextLabel` | `clone()` Returns a deep copy of this text label.
`TextElementData` | `getData()` Returns the data associated with this text element.
`TextLabelFormats` | `getFormats()`
`void` | `setFormats(ElementFormats formats)`

Methods inherited from class info.bioinfweb.treegraph.document.Label
`assignLabelData, getAbove, getBelow, getHoldingBranch, getID, getLabels, getLineIndex, getLineNo, getLinkedNode, getNext, getPrevious, idIsValid, isAbove, reinsert, setID, setLabels`

Methods inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`getPosition`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.PaintableElement
`getPosition`

Field Detail

### data

    private TextElementData data

### formats

    private TextLabelFormats formats

Constructor Detail

### TextLabel

    public TextLabel(Labels labels)

Method Detail

### assignTextElementData

    public void assignTextElementData(TextElement other)

  Specified by:
    `assignTextElementData` in interface `TextElement`

### getData

    public TextElementData getData()

  Description copied from interface: `TextElement`
  Returns the data associated with this text element.

  Specified by:
    `getData` in interface `TextElement`
  See Also:
    `IDManager.getDataByID(Node, String)`

### getFormats

    public TextLabelFormats getFormats()

  Specified by:
    `getFormats` in interface `PaintableElement`
  Specified by:
    `getFormats` in interface `TextElement`
  Specified by:
    `getFormats` in class `Label`

### setFormats

    public void setFormats(ElementFormats formats)

  Specified by:
    `setFormats` in interface `PaintableElement`

### clone

    public TextLabel clone()

  Returns a deep copy of this text label. Note that the linked `Labels`-object of the returned object is `null` no matter if this object was linked or not.

  Specified by:
    `clone` in interface `TextElement`
  Specified by:
    `clone` in class `Label`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD